## linux-kernel-headers 2.6.18

=== testsuite/Makefile ===
TESTS = $(patsubst %.c,%.o,$(wildcard *.c))
TESTS_295 = $(patsubst %,295-%,$(TESTS))

# Filter out tests which no one tries to use -ansi; not worth fixing.
NON_ANSI = videodev.o videodev-time.o cdrom.o
TESTS_ANSI = $(patsubst %,ansi-%,$(filter-out $(NON_ANSI),$(TESTS)))

# Similarly for C++.
NON_CXX = netlink.o
TESTS_CXX = $(patsubst %,cc-%,$(filter-out $(NON_CXX),$(TESTS)))

NON_CXX_ANSI = $(filter-out cdrom.o,$(NON_CXX) $(NON_ANSI))
TESTS_CXX_ANSI = $(patsubst %,cc-ansi-%,$(filter-out $(NON_CXX_ANSI),$(TESTS)))

ALL_TESTS = $(TESTS) $(TESTS_295) $(TESTS_ANSI) $(TESTS_CXX) $(TESTS_CXX_ANSI)

LOCAL_CFLAGS = -I $(shell pwd)/../debian/linux-kernel-headers/usr/include -I $(shell pwd)/../include
WARN = -Wall -Werror -W
THIS_CFLAGS =
TEST_CFLAGS = $(WARN) $(LOCAL_CFLAGS) $(THIS_CFLAGS) $(CFLAGS)

all: $(ALL_TESTS)

clean:
	rm -f $(ALL_TESTS)

%.o: %.c
	$(CC) $(TEST_CFLAGS) -o $@ -c $<

cc-%.o: %.c
	$(CXX) $(TEST_CFLAGS) -o $@ -c -x c++ $<

cc-ansi-%.o: %.c
	$(CXX) $(TEST_CFLAGS) -ansi -pedantic -o $@ -c -x c++ $<

295-%.o: %.c
	if test -x /usr/bin/gcc-2.95; then \
	  gcc-2.95 $(TEST_CFLAGS) -o $@ -c $<; \
	fi

ansi-%.o: %.c
	$(CC) $(TEST_CFLAGS) -ansi -pedantic -o $@ -c $<

## linux-kernel-headers 2.6.16.osso7

=== debian/changelog ===
linux-kernel-headers (2.6.16.osso7) unstable; urgency=low

  * armel transition: Use DEB_HOST_ARCH_CPU instead of DEB_HOST_ARCH
  * Changelog cleanup. Fixes: NB#32294
  
 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 12 Jun 2006 11:46:08 +0300

linux-kernel-headers (2.6.16.osso6) unstable; urgency=low

  * Updated version 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 19 May 2006 16:24:48 +0300

linux-kernel-headers (2.6.16.osso5) unstable; urgency=low

  * armel support 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 17 May 2006 18:57:15 +0300

linux-kernel-headers (2.6.16.osso4) unstable; urgency=low

  * Do not use EABI syscall numbers for a while 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 11 May 2006 17:14:34 +0300

linux-kernel-headers (2.6.16.osso3) unstable; urgency=low

  * Updated input.h fix

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 May 2006 18:42:55 +0300

linux-kernel-headers (2.6.16.osso2) unstable; urgency=low

  * Apllied debian patches
  * Fixed input.h

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  4 May 2006 15:59:49 +0300

linux-kernel-headers (2.6.16.osso1) unstable; urgency=low

  * Updated kernel headers. 
  * updated autoconf.h

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 21 Apr 2006 16:00:31 +0300

linux-kernel-headers (2.6.12-1.osso1) unstable; urgency=low

  * Used 2.6.16 asm-arm/unistd.h for EABI syscalls

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 21 Apr 2006 15:41:31 +0300

linux-kernel-headers (2.6.12-1) unstable; urgency=low

  * New upstream version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu,  6 Apr 2006 19:20:57 +0400

linux-kernel-headers (2.6.13+0rc3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move <linux/compat.h> down to under the CONFIG_COMPAT #define to avoid
    breakage when including <linux/usbdevice_fs.h> on 64-bit platforms;
    patch from Harald Welte. (Closes: #342780)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon,  6 Mar 2006 02:29:10 +0100

linux-kernel-headers (2.6.13+0rc3-2) unstable; urgency=low

  * Acknowledge NMU from Adeodato Simó (Closes: #320515).  Thanks!
  * Add patch from Hirokazu Takata <takata@linux-m32r.org> for m32r
    (Closes: #327779).
  * Add patch from Andreas Jochens <aj@andaco.de> for biarch ppc / ppc64 /
    i386 / amd64 support (Closes: #274920, #321969).
  * Temporarily adjust i386 biarch support to avoid clashing with
    amd64-libs-dev (due to limitations of dpkg-divert - diversions
    are removed in the postrm, so Conflicts is not enough to
    make sure amd64-libs-dev is fully gone before we install).
  * Merge armeb support from Lennert Buytenhek
    <buytenh+debian@wantstofly.org> (Closes: #333596).
  * Correct ppc64 memory.h patch.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 13 Oct 2005 15:42:01 -0400

linux-kernel-headers (2.6.13+0rc3-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug that makes other packages FTBFS.

  * debian/patches/linux-joystick.patch: New file, wrap the usage of
    BITS_PER_LONG with #ifdef __KERNEL__. (Closes: #320515)

 -- Adeodato Simó <asp16@alu.ua.es>  Sun, 07 Aug 2005 12:57:42 +0200

linux-kernel-headers (2.6.13+0rc3-1) unstable; urgency=low

  * GOTO Masanori <gotom@debian.org>
  
    - New upstream release 2.6.13-rc3.
    - autoconfs/*.h: Update.
    - version.h: Update.

    - debian/rules: Move autoconf.h installation to generate-asm.sh when
      biarch is used.
    - debian/generate-asm.sh: Install autoconf.h to asm* instead of linux
      when biarch is used.

    - debian/patches/asm-ppc64-swab64.patch: Delete file, it's already applied
      to upstream.
    - debian/patches/i2c-dev.patch: Likewise.
    - debian/patches/usb.patch: Remove usb_ch9.h part because it's already 
      applied to upstream.  Fix new patch that introduced another breaks.
    - debian/patches/byteorder-const.patch: Move asm-ppc64 part from
      asm-ppc64-swab64.patch.  Remove linux/byteorder/swabb.h part because
      it's already applied to upstream.

    - debian/patches/linux-capi.patch: New file, include missing
      linux/compiler.h to fix build failure of asterisk-chan-capi and
      isdnutils.  (Closes: #318297, #319303)
    - debian/patches/sparc-asm-fbio.patch: Update to include missing
      linux/compiler.h to fix build failure of xorg-x11.  (Closes: #318979)
    - debian/patches/linux-if_fddi.patch: New file, include missing
      linux/netdevice.h to fix build failure of net-tools.  Patched by
      Matt Kraai <kraai@ftbfs.org>.  (Closes: #317857)

 -- GOTO Masanori <gotom@debian.org>  Sat,  2 Jul 2005 18:37:43 +0900

linux-kernel-headers (2.6.12.0-1) unstable; urgency=low

  * GOTO Masanori <gotom@debian.org>

    - New upstream release 2.6.12.  (Closes: #313275)
    - autoconfs/*.h: Update.
    - version.h: Update.

    - testsuite/wait.c: Add testcase, to check sys/wait.h, asm/sigcontext.h
      and so on for #313275.
 
    - debian/patches/x86-64-long-long.patch: Remove to clean up because it's
      not needed, the current testsuite passes without this patch.

 -- GOTO Masanori <gotom@debian.org>  Thu, 16 Jun 2005 23:40:06 +0900

linux-kernel-headers (2.6.12+0rc6-1) experimental; urgency=low

  * GOTO Masanori <gotom@debian.org>

    - New upstream release 2.6.12-rc6.
    - autoconfs/*.h: Update.
    - version.h: Update.

    - debian/copyright: Change Copyright -> License.  (Closes: #290212)

    - debian/patches/asm-parisc-unistd.patch: Add to make the macro -std=c99
      friendly for asm-parisc/unistd.h.  It's already fixed in the latest
      cvs.parisc-linux.org.  (Closes: #301073)

    - debian/patches/asm-ppc64-swab64.patch: Add to enable
      __arch__swab{16,32}, disable __arch__swab64 on ppc64.
    - debian/patches/byteorder-const.patch: Move asm-ppc64 part to
      asm-ppc64-swab64.patch.

    - debian/patches/byteorder-inline.patch: Enclose __STRICT_ANSI__ and
      __GNUC__ for __cpu_to[lb]e64p and __[lb]e64_to_cpup correctly.



=== debian/control ===
Source: linux-kernel-headers
Section: devel
Priority: standard
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.org>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@nisa.net>, Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>= 4.1.0), cdbs
Standards-Version: 3.6.1

Package: linux-kernel-headers
Architecture: any
Conflicts: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6)
Replaces: libc6-dev (<< 2.3.2.ds1-6), libc6.1-dev (<< 2.3.2.ds1-6), dvb-dev (<< 1.0.1-6)
Description: Linux Kernel Headers for development
 This package provides headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Work around a bug in cdbs 0.4.14.
DEB_PATCHDIRS_READONLY = no

# This implements the .deb package creation using debhelper.
include /usr/share/cdbs/1/rules/debhelper.mk

# Simple patches in debian/patches.
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif

pkgdir = debian/linux-kernel-headers
includedir = $(pkgdir)/usr/include

kernel_arch := $(DEB_HOST_ARCH)
kernel_arch := $(patsubst armeb,arm,$(kernel_arch))
kernel_arch := $(patsubst armel,arm,$(kernel_arch))
kernel_arch := $(patsubst powerpc,ppc,$(kernel_arch))
kernel_arch := $(patsubst hppa,parisc,$(kernel_arch))
kernel_arch := $(patsubst mipsel,mips,$(kernel_arch))
kernel_arch := $(patsubst amd64,x86_64,$(kernel_arch))

other_headers := $(wildcard others/asm-$(kernel_arch)-*)
other_headers_inst := $(patsubst others/asm-$(kernel_arch)-%,%,$(other_headers))

# Install architecture-specific headers into debian/linux-kernel-headers.
# Common headers are handled by linux-kernel-headers.install.
common-install-arch:: lkh-install lkh-test

lkh-install: stamp-lkh-install
stamp-lkh-install: build
	rm -rf $(includedir)
	install -d $(includedir)
	install -d $(includedir)/linux

ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 i386 powerpc ppc64 sparc))
	sh debian/generate-asm.sh $(DEB_HOST_ARCH) include $(includedir) autoconfs
else
	cp -a include/asm-$(kernel_arch) $(includedir)/asm
	cp autoconfs/autoconf-$(DEB_HOST_ARCH_CPU).h $(includedir)/linux/autoconf.h
endif

ifeq ($(kernel_arch),arm)
	# ARM needs some extra symlinks.
	rm -f $(includedir)/asm/proc
	rm -f $(includedir)/asm/arch
	ln -s proc-armv $(includedir)/asm/proc
	ln -s arch-ebsa285 $(includedir)/asm/arch
endif

	# Some architectures need to include generated headers.  We can't
	# generate them at build time, so maintain a static collection.
	# Note: not compatible with Sparc hack, above.
	for i in dummy $(other_headers_inst); do \
	  if test $$i != dummy; then \
	    cp others/asm-$(kernel_arch)-$$i \
	       $(includedir)/asm/$$i; \
	  fi; \
	done

	touch $@

lkh-test: lkh-install build
#	$(MAKE) -C testsuite all

clean::
	$(MAKE) -C testsuite clean
	rm -f stamp-lkh-install
